var winston = require('winston');
var logger = new winston.Logger({ exitOnError: true });

var logLevel = process.env.PITAYA_LOG_LEVEL || 'info';
var logFile = process.env.PITAYA_LOG_FILE;

logger.level = logLevel;

logger.add(winston.transports.Console, {
  colorize: true,
  handleExceptions: true,
  humanReadableUnhandledException: true
});

if(logFile) {
  logger.add(winston.transports.File, {
    filename: logFile,
    json: false,
    handleExceptions: true,
    humanReadableUnhandledException: true
  });
}

module.exports = logger;
